Subject: bug#70073: 29.3; Emacs-PGTK crashes upon marking some text inside emacs and then middle clicking outside of Emacs

From: Eli Zaretskii <[email-masked]>
Date: Sat, 08 Jun 2024 14:43:12 +0300

Ping! Ping! Can we make some progress in this matter?

> Cc: [email-masked], [email-masked]
> Date: Sat, 25 May 2024 10:27:17 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> Ping!  Any further progress in investigating this?
> 
> > Date: Mon, 6 May 2024 03:50:59 +0200 (CEST)
> > From: "Abraham S.A.H." <[email-masked]>
> > Cc: Eli Zaretskii <[email-masked]>, 70073 <[email-masked]>
> > 
> > Last time, I have built and compile the package by myself to include debuging symbols on built.  
> > 
> > Both prebuilt Arch's mirror binary package and the one I tried to build had the same issue.  
> > 
> > I, however, can try rebuilding it with more fine control on the condition.
> > 
> > --
> > Best Regards,
> > Abraham
> > Sent with Tutanota; https://tuta.com
> > 
> > 
> > 
> > 5 May 2024, 08:37 by [email-masked]:
> > 
> > > "Abraham S.A.H." <[email-masked]> writes:
> > >
> > >> Xfce4 doesn't support Wayland. Even Their roadmap for supporting
> > >> Wayland is exprimental.  
> > >>
> > >> I have exprimented the issue on Gnome, first.  Then reproduced it on
> > >> Weston and Sway.  And reported.
> > >>
> > >> Then, I have reinstalled a new system only with Xfce4 and also Sway. 
> > >> I test Emacs PGTK build on Swaya, at the moment.  But, use Emacs
> > >> Athena on Xfce4.  Basically learning it in my spare time.  I found
> > >> Emacs about a month ago.
> > >>
> > >> All this is on Arch not Fedora.--
> > >>
> > >
> > > Right.  I couldn't reproduce this on Fedora, neither with our Emacs 29.3
> > > tarball nor with their downstream release.  Does your distributor apply
> > > patches to their Emacs binaries or thereabouts?
> > >
> > 
> > 
> 
> 
> 
>